#version 120
//this is needed For bitwise operations
#extension GL_EXT_gpu_shader4 : enable


//inputs from the code


//outputs To fragment shader
	varying vec4 vertexLight;

	varying vec4 vertexDepth;

	varying vec4 vertexPos;
	varying vec4 vertexRaw;


	varying vec4 texCoord;


	varying vec2 ParticleA;
	varying vec2 ParticleB;
	varying float ABMix;


//inputs from the code
	
	

//outputs To fragment shader2


void main(){
	//this is the untransformed vertex (Not rotated Or moved, etc)
		vertexRaw = gl_Vertex;

	// Transforming The Vertex
		gl_Position = ftransform();
		vertexPos = gl_ModelViewMatrix * vertexRaw;

	//get the actual vertx depth
		vertexDepth = gl_ModelViewProjectionMatrix * gl_Vertex;

		vertexLight = vec4(0,0,0,1);

	// get the texture coords
		texCoord = gl_MultiTexCoord0;


		ParticleA.x = (1.0 / 16.0) * mod(gl_MultiTexCoord1.s, 16);
		ParticleA.y = (1.0 / 4.0) * int(gl_MultiTexCoord1.s / 16);
		ParticleB.x = (1.0 / 16.0) * mod(gl_MultiTexCoord1.t, 16);
		ParticleB.y = (1.0 / 4.0) * int(gl_MultiTexCoord1.t / 16);
		ABMix = gl_MultiTexCoord1.q;

//		particleOut.r = (1.0 / 16.0) * int(int(1) % 16);
//		particleOut.g = (1.0 / 4.0) * int(1 / 4);


	//output color
		gl_FrontColor =  gl_Color;
}
